/**
 * @file test_fw_upgrader.cpp
 * @brief Unit tests for FwUpgrader component
 * @author Mahmoud Elmohtady
 * @company Nabd solutions - ASF
 * @copyright Copyright (c) 2025
 */

#include "unity.h"
#include "fw_upgrader.hpp"

extern "C" {

void setUp(void)
{
}

void tearDown(void)
{
}

void test_fw_upgrader_initialize(void)
{
    FwUpgrader comp;
    bool result = comp.initialize();
    TEST_ASSERT_TRUE(result);
    TEST_ASSERT_TRUE(comp.isInitialized());
}

void test_fw_upgrader_deinitialize(void)
{
    FwUpgrader comp;
    comp.initialize();
    
    bool result = comp.deinitialize();
    TEST_ASSERT_TRUE(result);
    TEST_ASSERT_FALSE(comp.isInitialized());
}

} // extern "C"
